- Main Page
- Modules
- Data Structures
- Files
- Examples

- Alphabetical List
- Data Structures
- Class Hierarchy
- Data Fields

# dhcpc_state Struct Reference

## Detailed Description

Examples:

  dhcpc.c, and dhcpc.h.

Definition at line 39 of file dhcpc.h.

## Data Fields
pt | pt
char | state
uip_udp_conn * | conn
timer | timer
u16_t | ticks
const void * | mac_addr
int | mac_len
u8_t | serverid [4]
u16_t | lease_time [2]
u16_t | ipaddr [2]
u16_t | netmask [2]
u16_t | dnsaddr [2]
u16_t | default_router [2]